Bug 1287056 - (CVE-2015-8366) CVE-2015-8366 LibRaw: Index overflow in smal_decode_segment
CVE-2015-8366 LibRaw: Index overflow in smal_decode_segment
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151130,repor...
: Security
Depends On: 1287057
Blocks: 1287081
  Show dependency treegraph
 
Reported: 2015-12-01 07:04 EST by Adam Mariš
Modified: 2016-10-27 08:55 EDT (History)
14 users (show)

See Also:
Fixed In Version: LibRaw 0.17.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-27 08:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-12-01 07:04:21 EST
It was found that smal_decode_segment function do not handle index carefully, which may cause index overflow.

Upstream patch:

https://github.com/LibRaw/LibRaw/commit/89d065424f09b788f443734d44857289489ca9e2
Comment 1 Adam Mariš 2015-12-01 07:04:37 EST
Created LibRaw tracking bugs for this issue:

Affects: fedora-all [bug 1287057]
Comment 2 Adam Mariš 2015-12-01 08:17:40 EST
Public via:

http://seclists.org/fulldisclosure/2015/Nov/108

Note You need to log in before you can comment on or make changes to this bug.